package ms.itsecteam.warpdrink;

import java.sql.SQLException;
import java.util.List;

import ms.itsecteam.warpdrink.objects.User;

import com.j256.ormlite.dao.BaseDaoImpl;
import com.j256.ormlite.dao.Dao;
import com.j256.ormlite.dao.DaoManager;
import com.j256.ormlite.support.ConnectionSource;
import com.j256.ormlite.table.TableUtils;

public class UserDao extends BaseDaoImpl<User, String>{
	
	private static UserDao instance;
	private ConnectionSource connectionSource;
	private Dao<User, String> userDao;
	
	private UserDao() throws SQLException {
        super(User.class);
        this.connectionSource = Database.getInstance().getConnectionSource();
        TableUtils.createTableIfNotExists(this.connectionSource, User.class);
        this.userDao = DaoManager.createDao(this.connectionSource, User.class); 
    }

	public static UserDao getInstance() throws SQLException {
		if (instance == null) {
			instance = new UserDao();
		}
		return instance;
	}
	public void saveUser(User user) throws SQLException {
		this.userDao.createOrUpdate(user);
	}
	public List<User> getAllUsers() throws SQLException {
		return this.userDao.queryForAll();
	}
	public User getUser(int userid) throws SQLException {
		List<User> result = this.userDao.queryForEq("userid", userid);
		if (!result.isEmpty())
			return result.get(0);
		return null;
	}
	public User getUser(String name) throws SQLException {
		List<User> result = this.userDao.queryForEq("name", name);
		if (!result.isEmpty())
			return result.get(0);
		return null;
	}
 

    
  
}