package ms.itsecteam.warpdrink.objects;

import javax.xml.bind.annotation.XmlRootElement;

import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;

@XmlRootElement
@DatabaseTable(tableName = "users")
public class User {
	
	@DatabaseField(generatedId = true)
    private int userid;
	
	@DatabaseField(columnName = "name",unique = true, canBeNull = false)
    private String name;
	
	@DatabaseField(columnName = "credit")
    private double credit;

    public User() {
        super();
    }

    public User(String name, double credit) {
        super();
        this.name = name;
        this.credit = credit;
    }

    public int getUserid() {
		return userid;
	}

	public void setUserid(int userid) {
		this.userid = userid;
	}

	public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public double getCredit() {
        return credit;
    }

    public void setCredit(double credit) {
        this.credit = credit;
    }

    public String toString() {
        return "[Name: "+this.name+", Credit:"+this.credit+"]";
    }
    
	@Override
	public boolean equals(Object other) {
		if (other == null || other.getClass() != getClass()) {
			return false;
		}
		return name.equals(((User) other).name);
	}
}
